# gkrellm(1) completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
#
# $Id: gkrellm,v 1.2 2003/12/31 08:22:37 ianmacd Exp $

_gkrellm()
{
	local cur

	COMPREPLY=()
	cur=${COMP_WORDS[COMP_CWORD]}
	prev=${COMP_WORDS[COMP_CWORD-1]}

	case "$prev" in
		-@(t|-theme))
			_filedir -d
			return 0
			;;
		-@(p|-plugin))
			_filedir 'so'
			return 0
			;;
		-@(s|-server))
			_known_hosts
			return 0
			;;
	esac

	if [[ "$cur" == -* ]]; then
		COMPREPLY=( $( compgen -W '--help -t --theme -s --server \
			-g --geometry -wm -w --withdrawn -c --config -nc \
			-f --force-host-config -demo -p --plugin -P \
			--port' -- $cur ) )
	fi

}
complete -F _gkrellm gkrellm
